CRONNEXT(1)

NAME
cronnext - time of next job cron will execute

SYNOPSIS

cronnext
    [-i users] [-e users] [-s] [-a] [-t time] [-q time] [-j command] [-l] [-c] [-f] [-h] [-V] [file]...

DESCRIPTION
Determine the time cron will execute the next job. Without arguments, it prints that time considering all crontabs, in number of seconds since the Epoch, rounded to the minute. This number can be converted into other formats using date(1), like date --date @43243254

The file arguments are optional. If provided, cronnext uses them as crontabs instead of the ones installed in the system.

OPTIONS

-i user,user,user,...
    Consider only the crontabs of the specified users. Use *system* for the system crontab.

-e user,user,user,...
    Do not consider the crontabs of the specified users.

-s  Do not consider the system crontab, usually the /etc/crontab file. The system crontab usually contains the hourly, daily, weekly and montly crontabs, which might be better dealt with anacron(8).

-a  Use the crontabs installed in the system in addition to the ones passed as file arguments. This is implicit if no file is passed.

-t time
    Determine the next job from this time, instead of now. The time is expressed in number of seconds since the Epoch, as obtained for example by date +%s --date "now + 2 hours", and is internally rounded to the minute.

-q time
    Do not check jobs over this time, expressed in the same way as in option -t.

-j command
    Only look for jobs that contain command as a substring.

-l  Print the whole entries of the jobs that are the next to be executed by cron. The default is to only print their next time of execution.

-c  Print every entry in every crontab with the next time it is executed.

-f  Print all jobs that are executed in the given interval. Requires option -q.

-h  Print usage output and exit.

-V  Print version and exit.

AUTHOR
Marco Migliori (sgerwk@aol.com)

SEE ALSO
cron(8), cron(1), crontab(5), crontab(1), anacron(8), anacrontab(5), atq(1), date(1)